> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Verify schedule occurrences



## OpenAPI

````yaml /openapi.json get /v1/verify/repositories/{repository_id}/schedules/{schedule_id}/history
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/verify/repositories/{repository_id}/schedules/{schedule_id}/history:
    get:
      tags:
        - Verify
      summary: Read Verify schedule occurrences
      operationId: get_verify_schedule_history
      parameters:
        - name: repository_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Verify registration UUID returned as id by
              list_verify_repositories; not the provider repository ID.
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
            description: >-
              Organization selected by a workspace API key; omit for an
              organization-bound key or MCP connection.
          allowEmptyValue: true
          allowReserved: true
        - name: cursor
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 4096
            description: >-
              Opaque continuation returned by this operation. Reuse with the
              same organization, filters and limit; continue even through empty
              pages.
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        schedule_id:
                          type: string
                          format: uuid
                        scheduled_at:
                          type: string
                          format: date-time
                        status:
                          enum:
                            - pending
                            - dispatched
                            - skipped
                            - failed
                          type: string
                        reason:
                          anyOf:
                            - enum:
                                - no_matching_journeys
                                - journeys_unavailable
                                - overlap
                                - environment_unavailable
                                - branch_unavailable
                                - access_denied
                                - billing_denied
                                - configuration_changed
                              type: string
                            - type: string
                              nullable: true
                              enum:
                                - null
                        job_id:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: string
                              nullable: true
                              enum:
                                - null
                        resolved_at:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: string
                              nullable: true
                              enum:
                                - null
                        job_status:
                          anyOf:
                            - type: string
                            - type: string
                              nullable: true
                              enum:
                                - null
                        configuration:
                          type: object
                          properties:
                            name:
                              type: string
                              maxLength: 200
                              default: ''
                            selection:
                              anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      enum:
                                        - journeys
                                    cuj_ids:
                                      type: array
                                      minItems: 1
                                      maxItems: 50
                                      items:
                                        type: string
                                        format: uuid
                                  required:
                                    - kind
                                    - cuj_ids
                                - type: object
                                  properties:
                                    kind:
                                      enum:
                                        - tags
                                    tags:
                                      type: array
                                      maxItems: 50
                                      items:
                                        type: string
                                        minLength: 1
                                        maxLength: 100
                                  required:
                                    - kind
                                    - tags
                                  additionalProperties: false
                            branch:
                              type: string
                              minLength: 1
                              maxLength: 255
                            environment_id:
                              type: string
                              format: uuid
                            timezone:
                              type: string
                              minLength: 1
                              maxLength: 100
                            recurrence:
                              anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      enum:
                                        - interval
                                    minutes:
                                      type: integer
                                      minimum: 15
                                      maximum: 525600
                                  required:
                                    - kind
                                    - minutes
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      enum:
                                        - calendar
                                    hour:
                                      type: integer
                                      minimum: 0
                                      maximum: 23
                                    minute:
                                      type: integer
                                      minimum: 0
                                      maximum: 59
                                    weekdays:
                                      type: array
                                      minItems: 1
                                      maxItems: 7
                                      items:
                                        type: integer
                                        minimum: 1
                                        maximum: 7
                                    day_of_month:
                                      type: integer
                                      minimum: 1
                                      maximum: 31
                                  required:
                                    - kind
                                    - hour
                                    - minute
                                    - weekdays
                                  additionalProperties: false
                            status:
                              enum:
                                - active
                                - paused
                              type: string
                            issue_creation:
                              enum:
                                - 'off'
                                - bugs
                                - bugs_and_blockers
                              type: string
                          required:
                            - selection
                            - branch
                            - environment_id
                            - timezone
                            - recurrence
                            - status
                      required:
                        - id
                        - schedule_id
                        - scheduled_at
                        - status
                        - reason
                        - job_id
                        - resolved_at
                        - job_status
                  next_cursor:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                    description: >-
                      Opaque continuation token; reuse with the same repository
                      and schedule.
                required:
                  - data
                  - next_cursor
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.